<?php
/**
 * User: liuyuzhen
 * Date: 2018/8/7
 * Time: 15:52
 * Description:
 */
class QaController extends \Our\Controller_Abstract{

    public function listAction(){
        $commonProbleService = \Business\Common\CommonProblemServiceModel::getInstance();
        $articleList = $commonProbleService->getProblemList();
        $this->_view->assign("problemList",$articleList);
    }


    public function detailAction(){
        $problemId = $this->getRequest()->get('id');
        $commonProbleService = \Business\Common\CommonProblemServiceModel::getInstance();
        $problem = $commonProbleService->getOneProblem($problemId);
        $this->_view->assign("problem",$problem);
    }
}
